import setuptools

import lokrez, lokrez.version

with open("README.adoc", "r") as fh:
    long_description = fh.read()

setuptools.setup(
        name = lokrez.version.NAME,
        version = lokrez.__version__,
        author = "Lertsenem",
        author_email = "lertsenem@lertsenem.com",
        description = "A smash.gg-connected local results generator for SSBU",
        long_description = long_description,
        long_description_content_type = "text/asciidoc",
        url = "https://git.lertsenem.com/lertsenem/ssbu_lokrez",
        packages = setuptools.find_packages(),
        install_requires = [
            "jinja2",
            "requests",
            ],
        license = "MIT",
        classifiers = [
            "Programming Language :: Python :: 3",
            "License :: OSI Approved :: MIT License",
            "Operating System :: OS Independent",
            "Intended Audience :: Smash Bros Ultimate Players",
            ],
        python_requires = ">=3.5",
        keywords = "smash ultimate local results esport smashgg",
#        data_files = ("res", ["res/playerskinsdb.json"])
        package_data = {
            "lokrez": [
                "queries/*.gql",
                "data/*.json",
                ],
            },
        entry_points = {
            "console_scripts": [
                "lokrez = lokrez:main",
                ],
            },
        )
